import { request } from 'undici';
import { lookup } from 'node:dns';
export default class TokenService {
    endpoint;
    server;
    protocol;
    constructor(name, useHttps = true) {
        this.endpoint = name;
        this.server = 'ts.local.toast-data.center';
        this.protocol = useHttps ? 'https' : 'http';
    }
    async connect() {
        lookup(this.server, (err, _) => {
            if (err)
                throw new Error(err.message);
        });
        return await request(`${this.protocol}://${this.server}/${this.endpoint}`).then(x => x.body.json());
    }
}
